const https = require('https');

const postResultados = async function(idActividad, idUsuario, duracion, numAciertos, numErrores, nivelActividad) {
  const payload = {
    idSkill: 'c7800aee8f9287a60ffe835984a38431',
    idActividad: idActividad,
    idUsuario: idUsuario,
    duracion: duracion,
    numAciertos: numAciertos,
    numErrores: numErrores,
    nivelActividad: nivelActividad
  };

  const options = {
    hostname: 'www.it.uniovi.es',
    port: 443,
    path: '/hosesbackend/skillTrastornosLectura.php',
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'Content-Length': Buffer.byteLength(JSON.stringify(payload)),
      'Authorization': 'Basic ' + Buffer.from('lfonteriz:aaa1674unTFG').toString('base64'),
    },
  };

  return new Promise((resolve, reject) => {
    const req = https.request(options, (res) => {
      res.setEncoding('utf8');
      let returnData = '';

      res.on('data', (chunk) => {
        returnData += chunk;
      });

      res.on('end', () => {
        
        resolve();
        
      });

      res.on('error', (error) => {
        reject(error);
      });
    });

    req.write(JSON.stringify(payload));
    req.end();
  });
};


module.exports = {
    postResultados
}